﻿.technology-box{
    width: 100%;
    display: block;
    position: relative;
    margin-top: 111px;
    min-height: calc(100vh - 111px);
}
.technology-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.technology-title-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 127px 0;
}
.technology-title-box h2>p{
    font-family: 'roboto';
    font-weight: 700;
    font-size: 46px;
    color: #000;
    letter-spacing: 0.4em;
    line-height: 32px;
}
.technology-title-box h2>span{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 24px;
    margin-top: 30px;
    display: block;
}
.technology-class-box{
    width: 300px;
    display: block;
    margin-top: 20px;
    position: relative;
}
.rwd-technology-class{
    width: 100%;
    height: 46px;
    border: 1px solid #888;
    font-size: 16px;
    letter-spacing: 0.06em;
    text-align: left;
    display: block;
    box-sizing: border-box;
    padding: 0 20px;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
}
.rwd-technology-class:after{
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 6px solid transparent;
    border-top: 10px solid #000;
    border-left: 6px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}
.technology-class-all-box{
    width: 100%;
    margin-top: 0;
    position: absolute;
    box-sizing: border-box;
    border: 1px solid #888;
    box-shadow: 0 8px 10px rgba(0, 0, 0, 0.35);
    border-top: none;
    background-color: #fff;
    display: none;
    z-index: 3;
}
.technology-class{
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #000;
    font-weight: 300;
    letter-spacing: 0.06em;
    line-height: 24px;
    box-sizing: border-box;
    padding: 10px 20px;
    display: block;
    border-top: 2px solid #366694;
}
.technology-class:first-child{
    border-top: none;
}

.technology-info-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding-bottom: 150px;
}
.technology-info{
    width: 100%;
    display:         flex;
    display: -webkit-flex;
    flex-direction: row;
}
.technology-info:nth-child(even){
    flex-direction: row-reverse;
}
.technology-info-img{
    width: 50%;
    height: 400px;
    overflow: hidden;
}
.technology-info-text-box{
    width: 50%;
    display:         flex;
    display: -webkit-flex;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    background-color: #366694;
    box-sizing: border-box;
    padding: 0 5%;
}
.technology-info-text-name{
    font-family: 'Noto Sans TC';
    font-size: 24px;
    color: #fff;
    letter-spacing: 0.06em;
    line-height: 36px;
    margin-bottom: 35px;
}
.technology-info-text{
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #ccc;
    letter-spacing: 0.06em;
    line-height: 36px;
}



@media only screen and (max-width: 1200px){
    .technology-all-box{
        width: 1000px;
    }
    .technology-info-img{
        height: calc((400 / 600) * 500px);
    }
    .technology-info-text-box{
        padding: 0 2%;
    }
    .technology-info-text{
        font-size: 14px;
    }
}
@media only screen and (max-width: 1000px){
    .technology-box{
        margin-top: 79px;
        min-height: calc(100vh - 79px);
    }
    .technology-title-box{
        padding: 60px 0;
    }
    .technology-title-box h2>p{
        font-size: 36px;
    }
    .technology-all-box{
        width: 95vw;
    }
}
@media only screen and (max-width: 768px){
    .technology-title-box{
        padding: 40px 0;
    }
    .technology-title-box h2>p{
        font-size: 28px;
        line-height: 26px;
        letter-spacing: 0.2em;
    }
    .technology-title-box h2>span{
        font-size: 16px;
        margin-top: 10px;
    }
    .technology-info{
        flex-direction: column;
    }
    .technology-info:nth-child(even){
        flex-direction: column;
    }
    .technology-info-img{
        width: 100%;
        height: calc((400 / 600) * 95vw);
    }
    .technology-info-text-box{
        width: 100%;
        padding: 2%;
    }
}
@media only screen and (max-width: 550px){
    .technology-box{
        margin-top: 67px;
        min-height: calc(100vh - 67px);
    }
    .technology-title-box{
        padding: 20px 0;
    }
    .technology-title-box h2>p{
        font-size: 18px;
        line-height: 22px;
    }
    .technology-title-box h2>span{
        font-size: 14px;
        margin-top: 0px;
    }
    .technology-info-text-name{
        font-size: 16px;
        line-height: 26px;
        margin-bottom: 10px;
    }
    .technology-info-text{
        font-size: 12px;
        line-height: 1.6;
        margin-bottom: 5px;
    }
    .rwd-technology-class{
        line-height: 36px;
        height: 36px;
    }
}





/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .technology-title-box h2>p{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .technology-title-box h2>span{
        animation: fade 1s ease .2s 1 both;
    }
    .technology-info:hover .main-bg{
        transform: scale(1.1);
    }
    .technology-info-img,
    .technology-info-text-box{
        opacity: 0;
    }
    .technology-info.anima .technology-info-text-box{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .technology-info.anima .technology-info-img{
        animation: fadeInRight 1s ease 0s 1 both;
    }
}

